import request from '@/utils/request'

//会签流程管理列表信息
export function getProcessList(query) {
  return request({
      url: '/material/sign_process/list',
      method: 'get',
      params: query,
  })
}

// 会签流程管理--新增
export function addProcess(data) {
  return request({
      url: '/material/sign_process/addProcess',
      method: 'post',
      data: data,
  })
}


//会签流程管理--详细信息
export function getProcessDetail(ids) {
  return request({
      url: '/material/sign_process/'+ ids,
      method: 'get',
  })
}

// 会签流程管理--修改
export function editProcess(data) {
  return request({
      url: '/material/sign_process/editProcess',
      method: 'post',
      data: data,
  })
}


// 会签配置管理--删除
export function delProcess(ids) {
  return request({
      url: '/material/sign_process/delProcess/' + ids,
      method: 'post',
  })
}


